From 290a3b7b04fbc04f2ca654e1dc87d0f5e71b1dab Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 14 2016 20:02:43 +0000
Subject: [PATCH 545/1001] Explain seemingly unused import in index.jsx


---

diff --git a/hubs/static/client/app/index.jsx b/hubs/static/client/app/index.jsx
index b12429e..7641684 100644
--- a/hubs/static/client/app/index.jsx
+++ b/hubs/static/client/app/index.jsx
@@ -1,4 +1,5 @@
-import React from 'react';
-import { render } from 'react-dom';
-
-import Feed from './components/Feed.jsx';
+/* This import is needed even though it's not used
+ * since the feed component places itself on window.
+ * The feed will not work without it.
+ */
+import Feed from './components/Feed.jsx'; // eslint-disable-line

